Autor Tópico: Povray - erro na hora de compilar  (Lida 2083 vezes)

Offline gh21

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Povray - erro na hora de compilar
« Online: 21 de Outubro de 2009, 21:44 »
Pessoal to tentando rodar um programa chamado povray num cluster e ele ta apresentando o seguinte erro:

./xwindows.o ./unix.o -L../libpng -lpng -L../zlib -lz -lSystemStubs -L/usr/X11R6/lib -lX11 -o mpi-x-povray
/usr/bin/ld: cannot find -lSystemStubs
collect2: ld returned 1 exit status
make[1]: ** [mpi-x-povray] Erro 1
make[1]: Saindo do diretório `/home/gh21/teste/povray31/source/mpi-unix'
make: [newxwin] Erro 2 (ignorado)


Dando uma olhada meu ubuntu (9.04) nao tem o diretorio /usr/X11R6/"lib" , se o erro estiver ai alguem sabe que lib eu posso instalar ?

Offline Tota

  • Usuário Ubuntu
  • *
  • Mensagens: 14.982
    • Ver perfil
Re: Povray - erro na hora de compilar
« Resposta #1 Online: 21 de Outubro de 2009, 22:23 »
Interessante o pacote=> http://www.povray.org/

Dando uma olhada meu ubuntu (9.04) nao tem o diretorio /usr/X11R6/"lib" , se o erro estiver ai alguem sabe que lib eu posso instalar ?

No caso aqui, /lib não é uma library e sim um diretório com nome "lib"

Porém acredito que o erro esteja em:
/usr/bin/ld: cannot find -lSystemStubs

Pesquisando por <lSystemStubs>, só encontrei links relacionados ao sistema MacOS.

Nas instruções de instalação no site, nada me esclareceu => http://www.povray.org/download/linux.php

Verifique se glibc-2.2 está no seu sistema
Citar
      
Requires a glibc-2.2 based GNU/Linux system running on x86 hardware.


E parabéns, eu já tive oportunidade de montar um clustter ( já tive "na mão" dez maquinas pentium 4 mas não tive coragem de montar um cluster )

Se tudo der certo para voce no final, seja bem vindo em fazer um texto sobre clusters e outro sobre o povray. :D

Vamos ver se alguém tem mais alguma idéia.

[],s

Offline gh21

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Povray - erro na hora de compilar
« Resposta #2 Online: 25 de Outubro de 2009, 00:39 »
Valeu pela resposta, verifiquei o glibc-2.2 e ele esta no sistema sim...
O site do povray não ajuda muito mesmo, o programa em si nao trabalha de forma paralela, somente através de um patch, por isso to tentando seguir alguma coisa desse site http://www.eece.maine.edu/~rblanche/povray/povray_instructions.htm

Quanto ao texto pode deixar, assim que estiver funcionando tudo certinho pretendo escrever sim ...